<?php

namespace App\Services;

use App\QualityLabel;
use App\Traits\ServiceAppAop;


class QualityLabelService
{
    use ServiceAppAop;
    protected $modelClass=QualityLabel::class;
    /** @var CacheService $cacheService */
    private $cacheService;
    function __construct(){
        $this->instant($this->cacheService,'CacheService');
    }
    public function get(){
        return $this->cacheService->getOrExecute('QualityLabelAll',function(){
            return QualityLabel::get();
        },config('cache.expirations.rarelyChange'));
    }

}
